Permalink
Browse files

Require RubyGems on Ruby 1.8.7.

  • Loading branch information...
1 parent 3f87a38 commit a3f711b1b015b2fa31490bbbaca2cf9c3ead3016 @sorin-ionescu sorin-ionescu committed with balupton Feb 27, 2012
Showing with 2 additions and 1 deletion.
  1. +2 −1 lib/exchange/plugins/ruby/ruby.plugin.coffee
@@ -23,6 +23,7 @@ module.exports = (BasePlugin) ->
EOF
document = Hash.new()
+ require 'rubygems' unless defined? Gem
require 'json'
document = JSON.parse <<-EOF
#{data}
@@ -60,4 +61,4 @@ module.exports = (BasePlugin) ->
else
next()
catch err
- return next(err)
+ return next(err)

0 comments on commit a3f711b

Please sign in to comment.